Subject: Remote session management

Description

The Flow session framework should support management of remote sessions — that is, sessions which are located in the session

storage but are not currently active and attached to the HTTP session running in the current browser.

A new SessionManager should support these operations:

- retrieve arbitrary sessions through their session identifier

- get and put data into remote sessions

- destroy remote sessions

- inspect and update the last activity timestamp of remote sessions

Subtasks:
Bug # 43505: Authentication Broken

Resolved

Related issues:
related to TYPO3.Flow - Bug # 44202: $session->start() initializes a new sess... Resolved

2012-12-22

Associated revisions

Revision 986ad3a9 - 2012-11-30 11:35 - Robert Lemke

["[FEATURE] Remote session management

This introduces the foundations for remote session management — that is,
inspection, modification and destruction of sessions which are not

currently active in the browser running the current HTTP request

This patch also REMOVES the PhpSession implementation and configures
the new, Flow-native implementation to be the default session handler.

If you provided specific configuration for session cookies through
TYPOS:Flow:Session:PhpSession:*, you will need to adjust your settings
to use options in TYPO3:Flow:Session:* instead.

This change set also contains a new type converter which is capable of
converting a session identifier to a session object.

Change-Id: 1a2fa37882f9997372a537d6a957bb8eafca40ca0

Resolves: #43376
Releases: 1.2

History
#1 - 2012-11-28 09:54 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16830

#2 - 2012-11-30 11:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16830

#3 - 2012-11-30 12:36 - Robert Lemke
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:986ad3a9ae9554c569b70596f7d5bb0cfe0dbdf3.
